#
# spec file for package minetest-modpack-homedecor
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           minetest-modpack-homedecor
Version:        0_20160830
Release:        1.1
Summary:        Home Decor modpack for Minetest
License:        LGPL-3.0
Group:          Amusements/Games/3D/Simulation
Url:            https://github.com/minetest-mods/homedecor_modpack
Source:         homedecor_modpack-master.zip
Requires:       minetest >= 0.4.14
BuildRequires:  unzip
BuildRequires:  fdupes
BuildRequires:  dos2unix
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This mod adds a whole bunch of new items to minetest suitable for decorating inside and outside a home. Tables, window shutters, brass and wrought iron, etc.

%prep
%setup -q -n homedecor_modpack-master
# Remove scripts
find . -name "*.sh" -type f -delete
# Dos to Unix
find . -name "*.x" -type f | xargs dos2unix
# Zero length file filling
echo "" > good_empty_file
find . -size 0 -type f | xargs -i cp good_empty_file {}
rm good_empty_file

%build
# Nothing to do

%install
install -dm 0755 %{buildroot}/%{_datadir}/minetest
install -dm 0755 %{buildroot}/%{_datadir}/minetest/mods
install -dm 0755 %{buildroot}/%{_datadir}/minetest/mods/homedecor_modpack
cp -R * %{buildroot}/%{_datadir}/minetest/mods/homedecor_modpack/
chmod -R u-x+rwX,go-wx+rX %{buildroot}/%{_datadir}/minetest/mods/homedecor_modpack/
# Hard link avoid waste of duplicate files
%fdupes %{buildroot}/%{_datadir}/minetest/mods/homedecor_modpack/

%files
%defattr(-,root,root)
%{_datadir}/minetest/

%changelog
* Sun Sep 11 2016 guoyunhebrave@gmail.com
- Git version 20160911
